Bug 56512 - Hebrew looks garbled in Word95 RTF file import
Summary: Hebrew looks garbled in Word95 RTF file import
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on: 42407
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-29 06:54 UTC by Lior Kaplan
Modified: 2012-10-31 00:29 UTC (History)
0 users

See Also:


Attachments
RTF import with grabled hebrew (89.60 KB, image/png)
2012-10-29 07:08 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2012-10-29 06:54:54 UTC
This is a follow up to Bug 42407, which fixed a lot of the word95 rtf import, but still has problems with importing text in Hebrew.

The test document from the previous bug is still relevant:
https://bugs.freedesktop.org/attachment.cgi?id=52928

And how it looks in Word:
https://bugs.freedesktop.org/attachment.cgi?id=54562

Notice Hebrew is showed correctly in the screenshot (on the top right side, near the string 510817018), which isn't the case for LibO (3.7/master).
Comment 1 Lior Kaplan 2012-10-29 07:08:51 UTC
Created attachment 69208 [details]
RTF import with grabled hebrew
Comment 2 Miklos Vajna 2012-10-30 16:44:00 UTC
Will fix this in a bit.
Comment 3 Not Assigned 2012-10-30 16:48:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b99b91763f96dcd5ff24c2d4cd9233a493b58aa0

fdo#56512 fix RTF import of non-unicode Hebrew text



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-10-30 16:48:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f6097e677dbb7e5387599f3bed4aa2d40755c88

fdo#56512 testcase



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2012-10-30 16:52:10 UTC
Resolved in master, no backport as this depends on master-only code.
Comment 6 Lior Kaplan 2012-10-31 00:29:02 UTC
Verified on a private build. Thanks again (: